Bug 458507 - Memory leak setting new password storage scheme
Memory leak setting new password storage scheme
Status: CLOSED ERRATA
Product: 389
Classification: Community
Component: Security - Password Policy (Show other bugs)
1.1.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
comment#1.review+nhosoi
:
Depends On:
Blocks: 249650 FDS112 453229
  Show dependency treegraph
 
Reported: 2008-08-08 19:52 EDT by Rich Megginson
Modified: 2015-01-04 18:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 16:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
diffs (746 bytes, patch)
2008-08-08 19:53 EDT, Rich Megginson
no flags Details | Diff
cvs commit log - DS8.0 (181 bytes, text/plain)
2008-08-12 18:27 EDT, Rich Megginson
no flags Details
cvs commit log - HEAD (175 bytes, text/plain)
2008-08-27 17:07 EDT, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2008-08-08 19:52:15 EDT
In config_set_pw_storagescheme, new_schema is allocated in both the non apply and the apply case, but it is only freed in the apply case.
Comment 1 Rich Megginson 2008-08-08 19:53:27 EDT
Created attachment 313858 [details]
diffs
Comment 2 Noriko Hosoi 2008-08-09 10:39:15 EDT
> but it is only freed in the apply case.

Rather, consumed, isn't it? ;)
slapdFrontendConfig->pw_storagescheme = new_scheme;
Comment 5 Rich Megginson 2008-08-11 12:36:57 EDT
This bug can only be reproduced by an admin user changing the password storage scheme, not an anonymous user.  You have to authenticate then have special privileges.
Comment 6 Rich Megginson 2008-08-12 18:27:03 EDT
Created attachment 314145 [details]
cvs commit log - DS8.0

Reviewed by: nkinder (Thanks!)
Fix Description: In config_set_pw_storagescheme, new_schema is allocated in both the non apply
and the apply case, but it is only freed in the apply case.  The solution is to free it in the non apply case.
Platforms tested: RHEL5, Fedora 8
Flag Day: no
Doc impact: no
QA impact: should be covered by regular nightly and manual testing
New Tests integrated into TET: none
Comment 8 Jenny Galipeau 2008-08-19 16:25:22 EDT
How can QE verify this?  What to look for in the valgrind output?
Comment 9 Rich Megginson 2008-08-19 16:28:45 EDT
(In reply to comment #8)
> How can QE verify this?  What to look for in the valgrind output?

Look for a memory leak in config_set_pw_storagescheme in the valgrind output.
Comment 10 Jenny Galipeau 2008-08-21 13:46:20 EDT
verified 8.0 RHEL4-32, RHEL4-64, RHEL5-32, RHEL5-64
Comment 13 errata-xmlrpc 2008-08-27 16:39:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0602.html
Comment 14 Rich Megginson 2008-08-27 17:07:52 EDT
Created attachment 315145 [details]
cvs commit log - HEAD

Note You need to log in before you can comment on or make changes to this bug.